# https://github.com/hayajo/md2pdf



print:
	echo "convert to pdf"

all:
	$(MAKE) dep-os
	$(MAKE) dep

dep-os:
	brew cask install wkhtmltopdf
dep-clean:
	brew cask remove wkhtmltopdf

dep:
	git clone https://github.com/hayajo/md2pdf
	cd md2pdf && go mod init && go install

dep-clean:
	rm -rf ./md2pdf
	rm -rf md2pdf

run:
	# use theirs
	cd md2pdf/examples &&  md2pdf --css=markdown.css golang.md output.pdf
	open md2pdf/examples/output.pdf

	# use gopass 
	curl -LJO https://github.com/gopasspw/docs/blob/master/content/docs.md
	md2pdf --css=$(PWD)/md2pdf/examples/markdown.css docs.md docs.pdf
	open docs.pdf